---
type: api
title: Get ingest stream settings
description: Fetches the ingest settings of an ingest stream definition<br/><br/>[Required authorization] Route required privileges: read_stream.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-streams-name-ingest
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-streams-name-ingest
products:
  - Kibana
---

# Get ingest stream settings

Availability: 9.1+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/streams/{name}/_ingest`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `name` (string · max: 200)
  The name of the stream.

## Description

Fetches the ingest settings of an ingest stream definition<br/><br/>[Required authorization] Route required privileges: read_stream.

## Request Body

`application/json`

Any of:
- **object**
- **object**

## Response

Ingest settings for the stream.

## Code Examples

#### Console

```console
GET /api/streams/{name}/_ingest
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/streams/{name}/_ingest"
```

## Response Examples

#### Get wired ingest

```json
{
  "ingest": {
    "failure_store": {
      "inherit": {}
    },
    "lifecycle": {
      "inherit": {}
    },
    "processing": {
      "steps": [
        {
          "action": "grok",
          "from": "message",
          "ignore_missing": false,
          "patterns": [
            "%{IPORHOST:client.ip} %{USER:ident} %{USER:auth} \\[%{HTTPDATE:@timestamp}\\] \u0022%{WORD:http.method} %{DATA:url.original} HTTP/%{NUMBER:http.version}\u0022 %{NUMBER:http.response.status_code:int} (?:%{NUMBER:http.response.body.bytes:int}|-)"
          ]
        }
      ],
      "updated_at": "2025-01-15T10:30:00.000Z"
    },
    "settings": {},
    "wired": {
      "fields": {
        "client.ip": {
          "type": "ip"
        },
        "http.method": {
          "type": "keyword"
        },
        "http.response.body.bytes": {
          "type": "long"
        },
        "http.response.status_code": {
          "type": "long"
        },
        "url.original": {
          "type": "wildcard"
        }
      },
      "routing": [
        {
          "destination": "logs.nginx.errors",
          "status": "enabled",
          "where": {
            "field": "http.response.status_code",
            "gte": 500
          }
        }
      ]
    }
  }
}
```

